/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNKNOWN_COMPONENT_NAME = exports.timingMetricTypes = exports.timings = exports.SEISMIC_HOIST_TAG_NAME = exports.levels = exports.types = exports.LIB_NAME = void 0;

var _levels;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var METRIC_DISPATCH = 'DISPATCH';
var METRIC_ERROR = 'ERROR';
var METRIC_GQL = 'GQL';
var METRIC_HTTP = 'HTTP';
var METRIC_CONNECTION = 'CONNECTION';
var METRIC_UPDATE_PROPERTIES = 'UPDATE_PROPERTIES';
var METRIC_UPDATE_STATE = 'UPDATE_STATE';
var METRIC_RENDER_START = 'RENDER_START';
var METRIC_RENDER_END = 'RENDER_END';
var METRIC_RENDER_TREE = 'RENDER_TREE';
var METRIC_INTERSECTION = 'INTERSECTION';
var METRIC_SCHEDULE = 'SCHEDULE';
var METRIC_EXECUTE = 'EXECUTE';
var METRIC_DEFER = 'DEFER';
var METRIC_PROPERTY_REFLECTION = 'PROPERTY_REFLECTION';
var METRIC_EFFECT_START = 'EFFECT_START';
var METRIC_EFFECT_END = 'EFFECT_END';
var METRIC_PATCH_START = 'PATCH_START';
var METRIC_PATCH_END = 'PATCH_END';
var METRIC_HOOK_START = 'HOOK_START';
var METRIC_HOOK_END = 'HOOK_END';
var METRIC_INTERACTIVE = 'INTERACTIVE';
var METRIC_HERO_INTERACTIVE = 'HERO_INTERACTIVE';
var METRIC_UPDATE_CONTEXT = 'UPDATE_CONTEXT';
var LIB_NAME = '@servicenow/ui-metrics';
exports.LIB_NAME = LIB_NAME;
var types = {
  DISPATCH: METRIC_DISPATCH,
  ERROR: METRIC_ERROR,
  GQL: METRIC_GQL,
  HTTP: METRIC_HTTP,
  CONNECTION: METRIC_CONNECTION,
  UPDATE_PROPERTIES: METRIC_UPDATE_PROPERTIES,
  UPDATE_STATE: METRIC_UPDATE_STATE,
  RENDER_START: METRIC_RENDER_START,
  RENDER_END: METRIC_RENDER_END,
  RENDER_TREE: METRIC_RENDER_TREE,
  INTERSECTION: METRIC_INTERSECTION,
  SCHEDULE: METRIC_SCHEDULE,
  EXECUTE: METRIC_EXECUTE,
  DEFER: METRIC_DEFER,
  PROPERTY_REFLECTION: METRIC_PROPERTY_REFLECTION,
  EFFECT_START: METRIC_EFFECT_START,
  EFFECT_END: METRIC_EFFECT_END,
  PATCH_START: METRIC_PATCH_START,
  PATCH_END: METRIC_PATCH_END,
  HOOK_START: METRIC_HOOK_START,
  HOOK_END: METRIC_HOOK_END,
  INTERACTIVE: METRIC_INTERACTIVE,
  HERO_INTERACTIVE: METRIC_HERO_INTERACTIVE,
  UPDATE_CONTEXT: METRIC_UPDATE_CONTEXT
};
exports.types = types;
var levels = (_levels = {}, _defineProperty(_levels, METRIC_HERO_INTERACTIVE, 5), _defineProperty(_levels, METRIC_INTERACTIVE, 5), _defineProperty(_levels, METRIC_ERROR, 5), _defineProperty(_levels, METRIC_GQL, 4), _defineProperty(_levels, METRIC_HTTP, 4), _defineProperty(_levels, METRIC_DISPATCH, 3), _defineProperty(_levels, METRIC_RENDER_START, 2), _defineProperty(_levels, METRIC_RENDER_END, 2), _defineProperty(_levels, METRIC_RENDER_TREE, 2), _defineProperty(_levels, METRIC_INTERSECTION, 1), _defineProperty(_levels, METRIC_CONNECTION, 1), _defineProperty(_levels, METRIC_UPDATE_PROPERTIES, 1), _defineProperty(_levels, METRIC_UPDATE_STATE, 1), _defineProperty(_levels, METRIC_SCHEDULE, 1), _defineProperty(_levels, METRIC_EXECUTE, 1), _defineProperty(_levels, METRIC_DEFER, 1), _defineProperty(_levels, METRIC_PROPERTY_REFLECTION, 1), _defineProperty(_levels, METRIC_EFFECT_START, 0), _defineProperty(_levels, METRIC_EFFECT_END, 0), _defineProperty(_levels, METRIC_PATCH_START, 0), _defineProperty(_levels, METRIC_PATCH_END, 0), _defineProperty(_levels, METRIC_HOOK_START, 0), _defineProperty(_levels, METRIC_HOOK_END, 0), _defineProperty(_levels, METRIC_UPDATE_CONTEXT, 1), _levels); // Copied from @servicenow/ui-core. This should be in @servicenow/ui-internals, however that package
// depends on this package, which would create a circular dependency

exports.levels = levels;
var SEISMIC_HOIST_TAG_NAME = 'SEISMIC-HOIST';
exports.SEISMIC_HOIST_TAG_NAME = SEISMIC_HOIST_TAG_NAME;
var timings = {
  LOWER_BOUNDARY: '0-50ms',
  MIDDLE: '51-100ms',
  UPPER_BOUNDARY: '100+ms'
};
exports.timings = timings;
var timingMetricTypes = {
  DEFER: 'defer',
  DEBOUNCE: 'debounce'
};
exports.timingMetricTypes = timingMetricTypes;
var UNKNOWN_COMPONENT_NAME = 'UNKNOWN';
exports.UNKNOWN_COMPONENT_NAME = UNKNOWN_COMPONENT_NAME;
//# sourceMappingURL=constants.js.map