/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "types", {
  enumerable: true,
  get: function get() {
    return _constants.types;
  }
});
Object.defineProperty(exports, "timingMetricTypes", {
  enumerable: true,
  get: function get() {
    return _constants.timingMetricTypes;
  }
});
Object.defineProperty(exports, "applyInteractionId", {
  enumerable: true,
  get: function get() {
    return _applyInteractionId["default"];
  }
});
Object.defineProperty(exports, "getInteractionId", {
  enumerable: true,
  get: function get() {
    return _getInteractionId["default"];
  }
});
Object.defineProperty(exports, "setInteractionId", {
  enumerable: true,
  get: function get() {
    return _setInteractionId["default"];
  }
});
Object.defineProperty(exports, "createInteractionId", {
  enumerable: true,
  get: function get() {
    return _createInteractionId["default"];
  }
});
Object.defineProperty(exports, "defineMetric", {
  enumerable: true,
  get: function get() {
    return _defineMetric["default"];
  }
});
Object.defineProperty(exports, "mark", {
  enumerable: true,
  get: function get() {
    return _mark["default"];
  }
});
Object.defineProperty(exports, "getMarks", {
  enumerable: true,
  get: function get() {
    return _getMarks["default"];
  }
});
Object.defineProperty(exports, "getPerformanceCounters", {
  enumerable: true,
  get: function get() {
    return _counters.getCounters;
  }
});
Object.defineProperty(exports, "clearPerfomanceCounters", {
  enumerable: true,
  get: function get() {
    return _counters.clearCounters;
  }
});
Object.defineProperty(exports, "clearMarks", {
  enumerable: true,
  get: function get() {
    return _clearMarks["default"];
  }
});
Object.defineProperty(exports, "observe", {
  enumerable: true,
  get: function get() {
    return _observe["default"];
  }
});
Object.defineProperty(exports, "getMetricTypes", {
  enumerable: true,
  get: function get() {
    return _getMetricTypes["default"];
  }
});
Object.defineProperty(exports, "addMarkAugmenter", {
  enumerable: true,
  get: function get() {
    return _addMarkAugmenter["default"];
  }
});
Object.defineProperty(exports, "getMetrics", {
  enumerable: true,
  get: function get() {
    return _metrics.get;
  }
});
Object.defineProperty(exports, "logTimingMetrics", {
  enumerable: true,
  get: function get() {
    return _timingMetrics.logTimingMetrics;
  }
});

var _constants = require("./constants");

var _applyInteractionId = _interopRequireDefault(require("./applyInteractionId"));

var _getInteractionId = _interopRequireDefault(require("./getInteractionId"));

var _setInteractionId = _interopRequireDefault(require("./setInteractionId"));

var _createInteractionId = _interopRequireDefault(require("./createInteractionId"));

var _defineMetric = _interopRequireDefault(require("./defineMetric"));

var _mark = _interopRequireDefault(require("./mark"));

var _getMarks = _interopRequireDefault(require("./getMarks"));

var _counters = require("./counters");

var _clearMarks = _interopRequireDefault(require("./clearMarks"));

var _observe = _interopRequireDefault(require("./observe"));

var _getMetricTypes = _interopRequireDefault(require("./getMetricTypes"));

var _addMarkAugmenter = _interopRequireDefault(require("./addMarkAugmenter"));

var _metrics = require("./metrics");

var _timingMetrics = require("./timingMetrics");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

globalThis.nowUiFrameworkMetrics = {
  applyInteractionId: _applyInteractionId["default"],
  getInteractionId: _getInteractionId["default"],
  setInteractionId: _setInteractionId["default"],
  createInteractionId: _createInteractionId["default"],
  defineMetric: _defineMetric["default"],
  mark: _mark["default"],
  clearMarks: _clearMarks["default"],
  getMarks: _getMarks["default"],
  observe: _observe["default"],
  types: _constants.types,
  getMetricTypes: _getMetricTypes["default"],
  addMarkAugmenter: _addMarkAugmenter["default"],
  getPerformanceCounters: _counters.getCounters,
  clearPerfomanceCounters: _counters.clearCounters,
  getMetrics: _metrics.get
};
//# sourceMappingURL=index.js.map