/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = validateMarkArguments;

var _isObject = _interopRequireDefault(require("./isObject"));

var _isElement = _interopRequireDefault(require("./isElement"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function validateMarkArguments(context, interactionId, event, options, type) {
  if (process.env.NODE_ENV === 'development') {
    if (!(0, _isObject["default"])(context) && !(0, _isElement["default"])(context)) console.error("".concat(_constants.LIB_NAME, " mark() arguments[0] context must be an object.")); // eslint-disable-line no-console

    if (typeof interactionId !== 'string') console.error("".concat(_constants.LIB_NAME, " mark() arguments[1] interactionId must be a string.")); // eslint-disable-line no-console

    if (typeof event !== 'string') console.error("".concat(_constants.LIB_NAME, " mark() arguments[2] event must be a string.")); // eslint-disable-line no-console

    if (!(0, _isObject["default"])(options)) console.error("".concat(_constants.LIB_NAME, " mark() arguments[3] options must be an object.")); // eslint-disable-line no-console

    if (typeof type !== 'string') console.error("".concat(_constants.LIB_NAME, " mark() arguments[4] type must be a string.")); // eslint-disable-line no-console
  }
}
//# sourceMappingURL=validateMarkArguments.js.map