/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { types } from './constants';
const {
  GQL,
  HTTP,
  RENDER_START,
  UPDATE_PROPERTIES,
  DISPATCH,
  UPDATE_STATE
} = types;
let totalGQL = 0;
let totalHTTP = 0;
let totalRenders = 0;
let totalPropChange = 0;
let totalDispatch = 0;
let totalStateUpdates = 0;
export const getCounters = () => ({
  totalGQL,
  totalHTTP,
  totalRenders,
  totalPropChange,
  totalDispatch,
  totalStateUpdates
});
export const clearCounters = () => {
  totalGQL = 0;
  totalHTTP = 0;
  totalRenders = 0;
  totalPropChange = 0;
  totalDispatch = 0;
  totalStateUpdates = 0;
};
export const increment = type => {
  switch (type) {
    case GQL:
      totalGQL++;
      break;

    case HTTP:
      totalHTTP++;
      break;

    case RENDER_START:
      totalRenders++;
      break;

    case UPDATE_PROPERTIES:
      totalPropChange++;
      break;

    case DISPATCH:
      totalDispatch++;
      break;

    case UPDATE_STATE:
      totalStateUpdates++;
      break;
  }
};
//# sourceMappingURL=counters.js.map