/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { types, timingMetricTypes } from './constants';
import applyInteractionId from './applyInteractionId';
import getInteractionId from './getInteractionId';
import setInteractionId from './setInteractionId';
import createInteractionId from './createInteractionId';
import defineMetric from './defineMetric';
import mark from './mark';
import getMarks from './getMarks';
import { getCounters as getPerformanceCounters, clearCounters as clearPerfomanceCounters } from './counters';
import clearMarks from './clearMarks';
import observe from './observe';
import getMetricTypes from './getMetricTypes';
import addMarkAugmenter from './addMarkAugmenter';
import { get as getMetrics } from './metrics';
import { logTimingMetrics } from './timingMetrics';
globalThis.nowUiFrameworkMetrics = {
  applyInteractionId,
  getInteractionId,
  setInteractionId,
  createInteractionId,
  defineMetric,
  mark,
  clearMarks,
  getMarks,
  observe,
  types,
  getMetricTypes,
  addMarkAugmenter,
  getPerformanceCounters,
  clearPerfomanceCounters,
  getMetrics
};
export { applyInteractionId, getInteractionId, setInteractionId, createInteractionId, defineMetric, mark, clearMarks, getMarks, observe, types, timingMetricTypes, getMetricTypes, addMarkAugmenter, getPerformanceCounters, clearPerfomanceCounters, getMetrics, logTimingMetrics };
//# sourceMappingURL=index.js.map